<id>
Better Link Page SP1.1 UK
</id>

<version>
1.1a
</version>

<mod info>
OK, it's already implemented in the YaBB 1 Platinum Release, but I promised to make an SP1.1 mod out of it too.

Version History

1.0
Initial extract from Platinum

1.0a
Forgotten Links path in Admin Center and two typo's in the code

1.0b
Added a No Global Moderator version of Links.pl (just upload the right version)

1.0c
Fixed a mod error (step 7)

1.1
Added email notification to linkadmin and user on add/edit/delete/approve/unapprove
Settings are found in the admin center.
Fixed non LWP:UserAgent supporting servers (link check while editing/adding has to be switched off)
Used new Hashing Table text definitions

1.1a
Mod fix and three undefined Platinum textstrings replaced my strings in this mod.

How to install ?

- Create a directory /Links within the YaBB main dir and CHMOD 766 or 777 (some hosts allow only 755).
- Upload the files in the zip (within /Links) into this dir and CHMOD 666
- Upload the gif's in /YaBBImages
- Apply the mod (after making a backup)
- Upload the modified pl and lng files
- Go into Admin Center and go to Preferences
- Set the path to the links dir (./Links)
- Set the preferred options in the Links section of the admincenter
- Return to admin and go into the link category editor
- Create your categories.
- Have fun adding, moving, deleting and editting the links.

Attention!

Live link testing in the links index can be a time/server consuming task if dead links are found so 
be careful teasing your provider with this option.

Editing the language part within the link editor

You will find two files called dutch.txt and english.txt
These contain the id|Language descriptor for the language selection in the link editor.
These files must be one on one if you use multiple languages.
Depending in the language you use on the board the editor will select the right language to display.
eg if you use a german language board, copy the dutch.txt to german.txt and tranlate the descriptors
to german.
The links.pl looks for a .txt file with the exact same name as the <language>.lng of your board.

Enjoy,

Ron

</mod info>

<author>
Spikecity
</author>

<homepage>
http://www.spikecity.net/
</homepage>

<edit file>
english.lng
</edit file>

<search for>
	$img{'lock'} = qq~<font size="1" class="imgwindowbg">$txt{'104'}</font>~;
</search for>

<add after>
	$img{'links'} = qq~<font size="1" class="imgmenu">$lnktxt{'1'}</font>~;
</add after>

<search for>
	$img{'lock'} = qq~<img src="$imagesdir/locked.gif" alt="$txt{'104'}" border="0"> <font size="1" class="imgwindowbg">$txt{'104'}</font>~;
</search for>

<add after>
	$img{'links'} = qq~<img src="$imagesdir/links.gif" alt="$lnktxt{'1'}" border="0"> <font size="1" class="imgmenu">$lnktxt{'1'}</font>~;
</add after>

<search for>
1;
</search for>

<add before>

########### YaBB Links Page ##########
%lnktxt=(
'1' => "Links",
'2' => "YaBB Links",
'4' => "Website Title",
'5' => "Website URL",
'6' => "Description",
'7' => "Your Username",
'8' => "Keywords (optional)",
'9' => "last choice: ",
'10' => "Link Categories",
'11' => "Give the Category ID and Category description like in the example<br><i>YaBB_Support\|YaBB support site links</i>.",
'12' => "Update Categories",
'13' => "Delete Link",
'14' => "Update Link",
'15' => "Add a new link",
'17' => "New Link",
'18' => "Add this link",
'20' => "Your email address",
'22' => "Delete",
'23' => "Edit",
'24' => "Not<br>Approved",
'25' => "Select",
'27' => "Add",
'28' => "Update List",
'29' => "Erase List",
'30' => "Language",
'31' => "Added/Changed by",
'32' => "Status",
'33' => "Category",
'34' => "Site is Online",
'35' => "Site is Offline",
'36' => "Online Site test is not active",
'37' => "All Categories",
'38' => "Lock",
'39' => "Approve",
'40' => "Members are allowed to add links",
'41' => "Do a live test of all url links in the link index<br><i>(Can slow down the page if dead links are found)</i>",
'42' => "Check URL's for life during adding/editing",
'43' => "$mbname - Message: (SUBJECT)",
'44' => "(DATE) Link Status News:\n\n\nMESSAGE\n\nSENDER\n",
'45' => "Send email notification of new links to link admin<br>and confirm link status to member by email",
'46' => "Link admin name<br><i>(if left empty email will be send to the administrator account)</i>",
'47' => "The link you added to our site has been",
'48' => "approved by",
'48a' => "added awaiting approval",
'49' => "rejected by",
'50' => "deleted by",
'50a' => "changed by",
'51' => "and is now visible in the link index.",
'52' => "and is now invisible in the link index.",
'53' => "Thank you for your contribution to our links page.",
'54' => "The link information is",
'55' => "Show Links in the Board Menu",
'56' => "Links Directory"
);

%lnkerrtxt=(
'1' => "Website URL exists already in the database",
'2' => "Please enter website title",
'3' => "Please enter a description",
'4' => "Please enter website URL",
'5' => "Website URL error, errorcode:"
);
########### YaBB Links Page ##########

</add before>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=manageboards">$txt{'4'}</a>
</search for>

<replace>
        - <a href="$cgi;action=manageboards">$txt{'4'}</a><br>
        - <a href="$cgi;action=link_cat">$lnktxt{'10'}</a><br>
</replace>

<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'lock') { require "$sourcedir/LockThread.pl"; &LockThread; }
</search for>

<add after>
        elsif ($action eq 'links') { require "$sourcedir/Links.pl"; &links; }
        elsif ($action eq 'link_add') { require "$sourcedir/Links.pl"; &link_add; }
        elsif ($action eq 'link_add2') { require "$sourcedir/Links.pl"; &link_add2; }
        elsif ($action eq 'link_edit') { require "$sourcedir/Links.pl"; &link_edit; }
        elsif ($action eq 'link_edit2') { require "$sourcedir/Links.pl"; &link_edit2; }
        elsif ($action eq 'link_admin') { require "$sourcedir/Links.pl"; &link_admin; }
        elsif ($action eq 'link_delete') { require "$sourcedir/Links.pl"; &link_delete; }
        elsif ($action eq 'link_not_ok') { require "$sourcedir/Links.pl"; &link_not_ok; }
        elsif ($action eq 'link_ok') { require "$sourcedir/Links.pl"; &link_ok; }
        elsif ($action eq 'link_cat') { require "$sourcedir/Links.pl"; &link_cat; }
        elsif ($action eq 'link_cat2') { require "$sourcedir/Links.pl"; &link_cat2; }
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($showuserpic) { $supicchecked = "checked" }
</search for>

<add after>
	if ($showlinks) { $showlinkschecked = "checked" }
	if ($testlinklive) { $testlinklivechecked = "checked" }
	if ($testlink) { $testlinkchecked = "checked" }
	if ($allowaddlink) { $allowaddlinkchecked = "checked" }
	if ($linkconfirm) { $linkconfirmchecked = "checked" }
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'361'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="vardir" size="30" value="$vardir"></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'56'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="linksdir" size="30" value="$linksdir"></td>
  </tr><tr>
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'478'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="userpic_limits" size="45" value="$userpic_limits"></td>
  </tr><tr>
</search for>

<add after>
    <td class="titlebg" bgcolor="$color{'titlebg'}" colspan=2>
    <img src="$imagesdir/preferences.gif" alt="" border="0">
    <font size=2 class="text1" color="$color{'titletext'}"><b>$lnktxt{'2'}</b></font></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'55'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="showlinks" $showlinkschecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'40'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="allowaddlink"$allowaddlinkchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'41'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="testlinklive"$testlinklivechecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'42'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="testlink"$testlinkchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'45'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="linkconfirm"$linkconfirmchecked></td>
  </tr><tr>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$lnktxt{'46'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="linkadmin" size="30" value=$linkadmin></td>
  </tr><tr>
</add after>

<search for>
	$vardir = $FORM{'vardir'} || "$boarddir/Variables";
</search for>

<add after>
	$linksdir = $FORM{'linksdir'} || "$boarddir/Links";
</add after>

<search for>
	my @onoff = qw/
		allowpics showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmarkread showmodify showuserpic showusertext showgenderimage shownewsfader MenuType curposlinks profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email usetempfile faketruncation emailnewpass/;
</search for>

<replace>
	my @onoff = qw/
		testlinklive testlink allowaddlink linkconfirm allowpics showlanguage showgames showlinks showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmarkread showmodify showuserpic showusertext showgenderimage shownewsfader MenuType curposlinks profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email usetempfile faketruncation emailnewpass/;
</replace>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>

	push(@onoff, "showlinks");
	push(@onoff, "testlinklive");
	push(@onoff, "testlink");
	push(@onoff, "allowaddlink");
	push(@onoff, "linkconfirm");

</add before>

<search for>
\$vardir = "$vardir";         				# Directory with variable files
</search for>

<add after>
\$linksdir = "$linksdir";				# Directory to YaBB Links Data
</add after>

<search for>
\$showmodify = $showmodify;				# Set to 1 to display "Last modified: Realname - Date" under each message
</search for>

<add before>
\$showlinks = $showlinks;                               # Set to 1 to display the links in the board menu
\$testlinklive = $testlinklive;                         # Set to 1 to live test links in the link index
\$testlink = $testlink;                                 # Set to 1 to live test links in the add/update links
\$allowaddlink = $allowaddlink;                         # Set to 1 to allow members to add links
\$linkconfirm = $linkconfirm;                           # Set to 1 to use email confirmations of new links and status reports
\$linkadmin = q^$linkadmin^;                            # email address for link admin confirmations
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$helpfile" target="_blank" style="cursor:help;">$img{'help'}</a>$menusep<a href="$cgi;action=search">$img{'search'}</a>$menusep<a href="$scripturl?action=mlall">$img{'memberlist'}</a>~;
</search for>

<add after>
	if ($showlinks ==1){
		$yymenu .= qq~$menusep<a href="$cgi;action=links">$img{'links'}</a>~;
	}
</add after>
